[Unit]
Description=Celery Service
After=network.target
StartLimitIntervalSec=0

[Service]
Type=simple
User={{ service_user }}
Group={{ service_group }}
# Restart is included for late mount of dev directory on Vagrant
Restart=on-failure
RestartSec=20
Environment="LOOKUP_SETTINGS={{ lookup_dir }}/settings.cfg"
Environment="LOOKUP_SECRETS={{ lookup_dir }}/secrets.cfg"
ExecStart={{ lookup_venv_dir }}/bin/celery worker \
  -A lookup.tasks:app --concurrency=500 -P gevent \
  -n {{ inventory_hostname }}@%%h --loglevel=INFO

[Install]
WantedBy=multi-user.target